Package org.springframework.aot.generate

# Class ValueCodeGenerationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.aot.generate.ValueCodeGenerationException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `UnsupportedTypeValueCodeGenerationException`

public class ValueCodeGenerationException extends RuntimeException
Thrown when value code generation fails.

Since:
  6.1.2
Author:
  Stephane Nicoll
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`ValueCodeGenerationException(Object value, Throwable cause)`
`protected`
`ValueCodeGenerationException(String message, Object value, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getValue()`
Return the value that failed to be generated.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ValueCodeGenerationException

protected ValueCodeGenerationException(String message, @Nullable Object value, @Nullable Throwable cause)

### ValueCodeGenerationException

public ValueCodeGenerationException(@Nullable Object value, Throwable cause)

## Method Details

### getValue

@Nullable public Object getValue()
Return the value that failed to be generated.